.kereso {
	display: block;
	width: 100%;
	clear: both;

	overflow: hidden;
	  animation: 1s legordul;
  animation-timing-function: linear;
}
.keresoalap {
	float: right;
	color: white;
	width: 600px;
	margin-top: 0px;
	margin-right: 4px;
	box-sizing: border-box;
}
.kereso input[type=text] {
  padding: 4px;
  font-size: 14px;
  border: 0px solid grey;
  float: left;
  width: 78%;
  background: #f1f1f1;
	box-sizing: border-box;
	margin: 3px 0% 3px 1%;
}

.kereso button {
  float: left;
  width: 20%;
  padding: 4px;
  color: white;
  font-size: 14px;
  border: 0px solid grey;
  border-left: none;
  cursor: pointer;
	box-sizing: border-box;
	margin: 3px 0% 3px 1%;
}

.kereso button:hover {
  background: red;
}

.kereso::after {
  content: "";
  clear: both;
  display: table;
}
@keyframes legordul {
  from {height: 0px; opacity: 0;}
  to {height: 30px; opacity: 1;}
}